*************
* THE ELECTORAL CONSEQUENCES OF WELFARE STATE CHANGE
* Leo Ahrens & Frank Bandau
*************

// settings
clear all
cd "C:/Forschung/Electoral implications of WFS/analysis"   // change this to where you extracted the replication package
local adoinstall = 0       // change this to 1 to install all required ados 
version 16
set seed 34523
set maxvar 20000
set more off

// install required ados
if `adoinstall'==1 {
	foreach x in filelist outreg2 coefplot palettes colrspace blindschemes gtools ftools {
		ssc install `x', replace
	}
	gtools, upgrade
}

// create directories for output files
cap mkdir "data/processed"
cap mkdir "results"
cap mkdir "results/figures"
cap mkdir "results/estimates"
cap mkdir "results/tables"

// initialize log file
cap log close
log using "results/log.txt", text replace

// execute analysis
do "scripts/1_prepare_mergedata.do"
do "scripts/2_build_finaldata.do"
do "scripts/3_regressions.do"
do "scripts/4_figures.do"

// end log file
cap log close










